package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.*
import com.jld.vod.model.bean.CategoryFatherAllBean


/**
 * @author ZhaoFuXin
 * @Email：18276061387@163.com
 * @description:
 * @date :2019/11/28 15:31
 */
@Dao
interface CategoryFatherAllDao {
    @Insert
    fun insertAll(vararg users: CategoryFatherAllBean)

    @Query("SELECT * FROM CategoryFatherAllBean")
    fun getAll(): List<CategoryFatherAllBean>

    /**
     * 获取所有设备给paging使用
     */
    @Query("SELECT * FROM CategoryFatherAllBean")
    fun getAlls(): DataSource.Factory<Int, CategoryFatherAllBean>

    @Query(" DELETE FROM CategoryFatherAllBean")
    fun delete()
}